<?php
/**
 * Custom template Editor for Saryu
 *
 * Eventually, some of the functionality here could be replaced by core features.
 *
 * @package Saryu
 */



if ( function_exists( 'register_block_style' ) ) {

function saryu_register_block_styles() {
	//table
	register_block_style(
		'core/table',
		[
	  	'name'         => 'border',
	  	'label'        => __('Border','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);

	//image
	register_block_style(
		'core/image',
		[
	  	'name'         => 'round',
	  	'label'        => __('Rounded Rectangle','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);
  
	register_block_style(
		'core/image',
		[
	  	'name'         => 'shadow',
	  	'label'        => __('Drop shadow','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);

	//Heading
	register_block_style(
		'core/heading',
		[
	  	'name'         => 'bottomborder',
	  	'label'        => __('Border below','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);
	register_block_style(
		'core/heading',
		[
	  	'name'         => 'bottom2typeborder',
	  	'label'        => __('2 Type Borders below','saryu'),
		'style_handle' => 'saryu-guten-style',
		]
	);
	register_block_style(
		'core/heading',
		[
	  	'name'         => 'leftborder',
	  	'label'        => __('Border on left','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);
	register_block_style(	
		'core/heading',
		[
	  	'name'         => 'topbottomborder',
	  	'label'        => __('Border on top and bottom','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);
	register_block_style(
		'core/heading',
		[
	  	'name'         => 'leftbottomborder',
	  	'label'        => __('Left border & Bottom border','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);
	register_block_style(
		'core/heading',
		[
	  	'name'         => 'bothsideline',
	  	'label'        => __('Lines on both sides','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);
	register_block_style(
		'core/heading',
		[
	  	'name'         => 'brakets',
	  	'label'        => __('Big brackets','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);

	register_block_style(
		'core/post-title',
		[
	  	'name'         => 'post-title-underline',
	  	'label'        => __('Underline below Post Title','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);

	register_block_style(
		'core/query-title',
		[
	  	'name'         => 'query-title-underline',
	  	'label'        => __('Underline below Query Title','saryu'),
	  	'style_handle' => 'saryu-guten-style',
		]
	);
}
add_action( 'init', 'saryu_register_block_styles' );
}

add_action( 'init', function(){
	wp_register_style( 'saryu-guten-style', get_template_directory_uri() . '/inc/css/custom-style.css' );
});